Move social share button xul to palette, remove from nav-bar's defaultset
As per summary. This wasn't done in bug  but it should really happen if the button (by default) no longer lives in the nav-bar.
